
Foreman - Bug #11964

Parameter override button visible for overridden parameters on host/group clone
Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Parameters   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2761

  

Description

When cloning a host or host group with overridden smart class parameters, the "override" button is still present for the parameter

allowing it to be overridden twice.  When editing a host, it's usually hidden if the parameter is overridden already.

Associated revisions

Revision 8754ca35 - 10/01/2015 11:06 AM - Dominic Cleal

fixes #11964 - mark existing parameters as overridden during clone

History

#1 - 09/25/2015 08:10 AM - Dominic Cleal

ignore, wrong ticket

#2 - 09/25/2015 08:21 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#3 - 09/25/2015 08:56 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2761 added

- Pull request deleted ()

#4 - 10/01/2015 12:02 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8754ca35990ec5436090333879b74b57aef82013.

#5 - 10/06/2015 03:42 AM - Dominic Cleal

- translation missing: en.field_release set to 63
